# Uses of Class
net.shibboleth.shared.codec.StringDigester

Packages that use StringDigester
Package
Description
net.shibboleth.shared.spring.error
Extensions for Spring error handling.
net.shibboleth.utilities.java.support.codec
Legacy API stub for compatibility.

## Uses of StringDigester in net.shibboleth.shared.spring.error

Fields in net.shibboleth.shared.spring.error declared as StringDigester
Modifier and Type
Field
Description
`private StringDigester`
ExtendedMappingExceptionResolver.`cspDigester`
CSP digester.
Methods in net.shibboleth.shared.spring.error with parameters of type StringDigester
Modifier and Type
Method
Description
`void`
ExtendedMappingExceptionResolver.`setCSPDigester(StringDigester digester)`
Sets a CSP digester.

## Uses of StringDigester in net.shibboleth.utilities.java.support.codec

Subclasses of StringDigester in net.shibboleth.utilities.java.support.codec
Modifier and Type
Class
Description
`final class`
`StringDigester`
Deprecated, for removal: This API element is subject to removal in a future version.